# net.axay.kspigot.config

# Package net.axay.kspigot.config

## Types

ConfigDelegate
Link copied to clipboard
class ConfigDelegate<T : Any>(configClass: KClass<T>, file: File, defaultCallback: () -> T?)
Content copied to clipboard
PluginFile
Link copied to clipboard
class PluginFile(path: String, child: String?) : File
Content copied to clipboard

## Functions

kSpigotJsonConfig
Link copied to clipboard

Creates a new ConfigDelegate object.

You can use this as a delegate (with by) or a normal object. (Delegate allows direct access to the config object, but does not provide save() or reload() methods.)

inline fun <T : Any> kSpigotJsonConfig(file: File, noinline default: () -> T?): ConfigDelegate<T>
Content copied to clipboard